Redmine - Feature #31322

Provide a way to automatically close all open subtasks too when a parent issue is being closed
2019-05-08 09:52 - Hinako Tajima

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution:

Description

| wish to add the function of reminder which shows up like pop-up screen to ask for closing the subtask when the parent issue is
closed.
Related issues:

Related to Redmine - Feature #31321: Option not to block closing a parent iss... Closed
Related to Redmine - Feature #28492: Option not to block closing a parent iss... New
Related to Redmine - Feature #31589: Show warning and the reason when the iss... Closed
History

#1 - 2019-05-08 23:52 - Go MAEDA

- Related to Feature #31321: Option not to block closing a parent issue when its subtask is open added

#2 - 2019-05-16 15:47 - Go MAEDA

- Category set to Issues

#3 - 2019-06-19 07:57 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #28492.

#4 - 2019-06-19 07:57 - Go MAEDA

- Is duplicate of Feature #28492: Option not to block closing a parent issue when it has open subtask(s) added

#5 - 2019-09-04 08:12 - Toshi MARUYAMA
- Subject changed from Close subtasks along with a parent issue. to Confirming to close a parent issue when its subtask is open
- Status changed from Closed to New

- Resolution deleted (Duplicate)

| don't think this issue is duplicate of #28492.

#6 - 2019-09-19 08:01 - Toshi MARUYAMA
- Is duplicate of deleted (Feature #28492: Option not to block closing a parent issue when it has open subtask(s))

#7 - 2019-09-19 08:01 - Toshi MARUYAMA
- Related to Feature #28492: Option not to block closing a parent issue when it has open subtask(s) added

#8 - 2019-09-30 19:51 - Toshi MARUYAMA
- File issue-31322.diff added

This is POC.
There is no test.
You need apply #28492 patch first.

#9 - 2019-09-30 20:01 - Toshi MARUYAMA
- File issue-31322-ver.2.diff added

Simplified.

#10 - 2019-09-30 20:14 - Toshi MARUYAMA
- File POC.png added

$ LC_ALL=en_US.UTF-8 firefox

Bug #61: test - test - Remine - Mozilla Firefox

&™ Bug #61: test - test - Rer X

@ = | (@ localhost:3100/test-trunk/issues/61#change-123

Cancel I l

#11 - 2019-10-09 10:01 - Toshi MARUYAMA
- File issue-31322-ver.3.diff added

This is new POC version.
There is still no test.

#12 - 2019-10-16 04:16 - Toshi MARUYAMA
- File issue-31322.ver.4.png added
- File issue-31322.ver.4.diff added

This patch has test.
You need to apply #28492#note-14 patch first.
Bug #61: test - test - Remine - Mozilla Firefox

& Bug #61: test - test - Rer: X

@ - C @ [@ localhost:3100/test-trunk/issues/61 e 1‘,‘}] lQ Search

Are you sure you want to close parent issue whose subtasks are open?

#13 - 2019-12-19 03:01 - Toshi MARUYAMA
- File 20191218-01-ajax-check.diff added

Previous patch uses complicated javascript.
This patch rewrite to use jQuery submit event.

Previous patch uses client html elements to check whether subtask is open or not.
So it cannot check invisible issue.

This patch uses ajax and check in server.

You need to apply #284924#note-14 patch first.

#14 - 2019-12-19 03:02 - Toshi MARUYAMA

- File 20191218-02-ajax-modal-form.png added

- File 20191218-02-ajax-modal-form.diff added

This is additional patch to previous patch.
This patch replaces Javascript confirm dialog to ajax modal form.
& Bug #75: test - test - Rer X

@ - C @ [G) localhost:3000/issues/75

Are you sure you want to close parent issue whose

subtasks are open?

#15 - 2019-12-19 03:03 - Toshi MARUYAMA
- File 20191218-03-close-all-open-subtasks.diff added
- File 20191218-03-close-all-open-subtasks.png added

- Subject changed from Confirming to close a parent issue when its subtask is open to Close all open subtasks when parent issue to be closed

This is additional patch to previous patch.

e All open subtasks are visible
* Selected status is allowed in all open subtasks

In this case this dialog opens.

& Bug #62: parent - redmir x

@ - C @ [G) localhast:3100/test-trunk/issues/62

Issue 62 has open subtasks.

O Close all open subtasks by "Rejected" status too
O CcClose only issue 62

Cancel

If not, previous note dialog opens.

#16 - 2020-01-05 12:48 - Toshi MARUYAMA

- Related to Feature #31589: Show warning and the reason when the issue cannot be closed because of open subtasks or blocking open issue(s)
added

#17 - 2020-01-06 13:38 - Mitsuyoshi Kawabata

Regarding Maruyama's patches, how about just #315897? It would be simple and clear.
#18 - 2020-01-09 06:13 - Mischa The Evil

- Subject changed from Close all open subtasks when parent issue to be closed to Provide a way to automatically close all open subtasks too when a
parent issue is being closed
FWIW: This issue is not related/being superseded by either #28492 or #31589. See my explanation in #31589#note-21.

@Toshi MARUYAMA: It has become very hard to review your patches for this feature. Can you provide all your changes for this feature in a single
patch and clearly specify which requirements it has (like a dependency on an implementation for issue #28492)?

#19 - 2020-01-31 15:06 - Toshi MARUYAMA
- File 20200131-series.diff added
- File 20200131-collapse.diff added

Mischa The Evil wrote:

@Toshi MARUYAMA: It has become very hard to review your patches for this feature. Can you provide all your changes for this feature in a
single patch and clearly specify which requirements it has (like a dependency on an implementation for issue #28492)?

Done.

e 20200131-series.diff has contains several revisions
e 20200131-collapse.diff collapses 20200131-series.diff revisions to one diff

These depend on #284924#note-20 issue-28492.ver.3.diff.

#20 - 2020-01-31 15:22 - Toshi MARUYAMA
- File 20200131-collapse.diff added
- File 20200131-series.diff added

Fix indents.

#21 - 2020-01-31 15:22 - Toshi MARUYAMA
- File deleted (20200131-series.diff)

#22 - 2020-01-31 15:22 - Toshi MARUYAMA
- File deleted (20200131-collapse.diff)

#23 - 2020-06-09 10:43 - Toshi MARUYAMA
- File 20200609-collapse.diff added
- File 20200609-series.diff added

r19803 changed ajax behavior and it broke previous patches.

These are fixed patches.

Files

issue-31322.diff 3.47 KB 2019-09-30 Toshi MARUYAMA
issue-31322-ver.2.diff 2.56 KB 2019-09-30 Toshi MARUYAMA
POC.png 36.2 KB 2019-09-30 Toshi MARUYAMA
issue-31322-ver.3.diff 4.3 KB 2019-10-09 Toshi MARUYAMA
issue-31322.ver.4.diff 8 KB 2019-10-16 Toshi MARUYAMA
issue-31322.ver.4.png 61.3 KB 2019-10-16 Toshi MARUYAMA
20191218-01-ajax-check.diff 14.1 KB 2019-12-19 Toshi MARUYAMA
20191218-02-ajax-modal-form.png 24.7 KB 2019-12-19 Toshi MARUYAMA
20191218-02-ajax-modal-form.diff 5.13 KB 2019-12-19 Toshi MARUYAMA
20191218-03-close-all-open-subtasks.diff 20.1 KB 2019-12-19 Toshi MARUYAMA
20191218-03-close-all-open-subtasks.png 22 KB 2019-12-19 Toshi MARUYAMA
20200131-collapse.diff 25.4 KB 2020-01-31 Toshi MARUYAMA
20200131-series.diff 39.3 KB 2020-01-31 Toshi MARUYAMA
20200609-collapse.diff 25.5 KB 2020-06-09 Toshi MARUYAMA
20200609-series.diff 39.2 KB 2020-06-09 Toshi MARUYAMA
